From 4d86c7df0960c68b6e7369228a07d95b6f5dab47 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Wed, 16 Mar 2022 13:35:14 -0700
Subject: [PATCH v68 27/31] pgstat: move pgstat.c to utils/activity.

Now that pgstat is not related to postmaster anymore, src/backend/postmaster
is not a well fitting directory.

Author: Andres Freund <andres@anarazel.de>
Discussion: https://postgr.es/m/20220303021600.hs34ghqcw6zcokdh@alap3.anarazel.de
---
 src/backend/postmaster/Makefile                     | 1 -
 src/backend/utils/activity/Makefile                 | 1 +
 src/backend/{postmaster => utils/activity}/pgstat.c | 2 +-
 3 files changed, 2 insertions(+), 2 deletions(-)
 rename src/backend/{postmaster => utils/activity}/pgstat.c (99%)

diff --git a/src/backend/postmaster/Makefile b/src/backend/postmaster/Makefile
index dbbeac5a82f..3a794e54d60 100644
--- a/src/backend/postmaster/Makefile
+++ b/src/backend/postmaster/Makefile
@@ -21,7 +21,6 @@ OBJS = \
 	fork_process.o \
 	interrupt.o \
 	pgarch.o \
-	pgstat.o \
 	postmaster.o \
 	shell_archive.o \
 	startup.o \
diff --git a/src/backend/utils/activity/Makefile b/src/backend/utils/activity/Makefile
index 690312308f5..a2e8507fd65 100644
--- a/src/backend/utils/activity/Makefile
+++ b/src/backend/utils/activity/Makefile
@@ -16,6 +16,7 @@ include $(top_builddir)/src/Makefile.global
 OBJS = \
 	backend_progress.o \
 	backend_status.o \
+	pgstat.o \
 	pgstat_archiver.o \
 	pgstat_bgwriter.o \
 	pgstat_checkpointer.o \
diff --git a/src/backend/postmaster/pgstat.c b/src/backend/utils/activity/pgstat.c
similarity index 99%
rename from src/backend/postmaster/pgstat.c
rename to src/backend/utils/activity/pgstat.c
index d0315147bf1..dbd55a065d5 100644
--- a/src/backend/postmaster/pgstat.c
+++ b/src/backend/utils/activity/pgstat.c
@@ -24,7 +24,7 @@
  * Copyright (c) 2001-2022, PostgreSQL Global Development Group
  *
  * IDENTIFICATION
- *	  src/backend/postmaster/pgstat.c
+ *	  src/backend/utils/activity/pgstat.c
  * ----------
  */
 #include "postgres.h"
-- 
2.35.1.677.gabf474a5dd

